/*
Theme Name:   Landeseiten Design Child
Theme URI:    #
Description:  Child theme for Hello Elementor for Landeseiten Design projects.
Author:       Your Name
Author URI:   #
Template:     hello-elementor
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  landeseiten-design-child
*/

/*----------------------------------------------------------------*/
/* Add your custom CSS below this line
/*----------------------------------------------------------------*/


body,
html {
  overflow-x: hidden;
}

.elementor-widget-image img{
	user-select:none;
}

.site-main {
	overflow: hidden;
}

body p,
body h1,
body h2,
body h3,
body h4,
body h5,
body h6 {
  padding: 0;
  margin: 0;
  text-wrap: pretty !important;
}

body .elementor-widget-container {
  text-wrap: pretty;
}

.site-header,
.site-footer {
	display: none;
}

/*******Button Styles******/
.cs-btn::before {
    content: '';
    border-left: 1px solid #fff;
    border-bottom: 1px solid #fff;
    height: 50%;
    width: 60%;
    position: absolute;
    bottom: 8px;
    left: 8px;
    pointer-events: none;
}

.cs-btn::after {
    content: '';
    border-right: 1px solid #fff;
    border-top: 1px solid #fff;
    height: 50%;
    width: 60%;
    position: absolute;
    top: 8px;
    right: 8px;
    pointer-events: none;
}

.cs-btn:hover {
    transform: scale(1.05);
}

.cs-btn-light::before {
    content: '';
    border-left: 1px solid #26337D;
    border-bottom: 1px solid #26337D;
    height: 50%;
    width: 60%;
    position: absolute;
    bottom: 8px;
    left: 8px;
	pointer-events: none;
}

.cs-btn-light::after {
    content: '';
    border-right: 1px solid #26337D;
    border-top: 1px solid #26337D;
    height: 50%;
    width: 60%;
    position: absolute;
    top: 8px;
    right: 8px;
	pointer-events: none;
}

.cs-btn-light:hover {
    transform: scale(1.05);
}

/******Erste Schritt Polaroids********/
.cs-schritt-polaroid:hover {
    z-index: 9;
}

@media (max-width: 1440px) {
    .cs-schritt-polaroid {
        max-width: 300px !important;
    }
}

@media (max-width: 1024px) {
    .cs-schritt-polaroid {
        max-width:  270px !important;
        width: 100%;
        min-width: 200px !important;
    }
}

@media (max-width: 767px) {
    .cs-schritt-polaroid {

    }
}

/******FAQ******/
.cs-faq-accordion .eael-accordion-list {
    background: #ffffff80;
    backdrop-filter: blur(10px);
    border-radius: 10px;
    padding: 30px 27px 30px 60px;
}

.cs-faq-accordion .elementor-tab-title {
    flex-direction: row-reverse;
}

.cs-faq-accordion .fa-accordion-icon {
    margin-right: 0 !important;
}


@media (max-width: 1024px) {
    .cs-faq-accordion .eael-accordion-list {
    padding: 24px;
}
}

@media (max-width: 767px) {
    .cs-faq-accordion .eael-accordion-list {
    border-radius: 12px;
    padding: 18px 18px 18px 20px;
}
}

/*Search pills location page*/

/* Container */
.my-location-tabs-widget {
  padding: 0 !important;
  margin: auto;
}

/* Navigation Bar */
.ltw-tabs-nav {
  display: flex;
	gap:4px;
  justify-content: center;
  align-items: center;
  background-color: #26337D;
  border-radius: 15px;
  margin-bottom: 30px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  flex-wrap: wrap;
}

/* Tab Buttons */
.ltw-tab-btn {
  background: none;
  border: none;
  color: rgba(255, 255, 255, 0.6);
  font-size: 24px !important;
  font-style: normal !important;
  font-weight: 400;
  padding: 20px 30px !important;
  transition: all 0.3s ease;
  position: relative;
  outline: none;
  font-family: var(--e-global-typography-secondary-font-family, "Inria Sans");
}

/* Separator lines between letters */
.ltw-tab-btn:not(:last-child)::after {
    content: '';
    position: absolute;
    right: -2px;
    top: 50%;
    transform: translateY(-50%);
    height: 50%;
    min-width: 2px;
    background-color: rgba(255, 255, 255, .4);

}

.ltw-tab-btn.active {
  color: #ffffff;
  font-weight: 700;
}

.ltw-tab-btn:hover:not(.active) {
  color: #ffffff;
}

/* Grid Layout */
.ltw-location-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 15px;
}

/* Location Pills */
.ltw-location-pill {
  display: flex;
  align-items: center;
  background-color: #f6f6f6;
  border: 1.5px solid #26337D;
  border-radius: 15px;
  padding: 12px 28px;
  text-decoration: none;
  transition: all 0.3s ease;
  cursor: pointer;
  min-width: 200px;
}

.ltw-location-pill:hover {
  background-color: #ffffff;
  transform: translateY(-3px);
  box-shadow: 0 5px 15px rgba(212, 160, 86, 0.2);
}

.ltw-pill-text {
  color: #5b4636;
  font-size: 24px;
  font-weight: 600;
  margin-left: 15px;
}

.ltw-pill-icon {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
}

.ltw-pill-icon path d, .ltw-pill-icon svg, .ltw-pill-icon path, .cs-carousel .elementor-swiper-button-prev circle, .cs-carousel .elementor-swiper-button-next circle, .cs-map-tooltip-link svg, .cs-map-tooltip-link path, .cs-map-tooltip-link d {
	fill: #26337D !important;
}

/* --- Responsive Adjustments --- */
@media (max-width: 768px) {
  .ltw-tab-btn {
    font-size: 20px;
    padding: 16px 8px !important;
  }

  .ltw-pill-text {
    font-size: 18px;
  }

  .ltw-location-pill {
    padding: 10px 20px;
    min-width: 160px;
  }

  .ltw-pill-icon {
    width: 26px;
    height: 26px;
  }
}
